2D Tools Guide

Contents

Introduction

2D Z-plane

2D Line

2D Rectangle

2D Freehand

2D Arc

2D Circle

2D Polygon

2D Face Maker

2D Hatching

2D Fillet

2D Adjust

2D Line Style

2D Text

2D Polyline Edit

2D Tools Help

Conclusion

Donations

Introduction

The 2D Tools for Sketchup, by TIG © 2009, offer 2D drawing tools similar to those found in many CAD packages, whilst including the benefits of Sketchup’s principles and inference.

The 2D Tools come in a zip file [2Dtools.zip].

Extract its contents into the Plugins folder.

There should be a single new file in the Plugins folder called ‘2D#.rb’ – which loads all of the other files needed.

There should also be a folder called ‘2Dtools’ which contains several ‘rb’ files etc that make the tools work and also three sub-folders.

The sub-folder called ‘Icons’ contains all of the icons needed to form cursors, toolbar-buttons etc.

The sub-folder called ‘Hatching’ contains all of the ‘jpg’ image files needed by the ‘2D Hatching’ tool.

The sub-folder called ‘2DtoolsHelp_files’ contains the images etc used by this html Help file.

An alternative toolbar icon set by CADfather is included in a zip file of that name – replace those in the Icons folder as desired…

With v4 there is a new file called ‘deBabelizer.rb’ which is used to translate the tools’ text to suit your locale - this file should also be in the ‘Plugins’ folder.

There are also related ‘lingvo’ files in the ‘2Dtools’ folder – v4 comes with 2DtoolsEN-US.lingvo [English] and also 2DtoolsES.lingvo [Spanish] and 2DtoolsFR.lingvo [French] –

See the ‘Help’ section on how to make a lingvo file to translate the tools’ text to your locale language.

Please remove any earlier 2D Tool Files / Folders: however, when the Tools are first run any earlier unneeded Files or Folders will be deleted anyway…

The 2D Tools can be used in conjunction with other built-in Sketchup Tools and other Plugins.

Some 2D Tools can also be used beyond the limits of 2D - like the ‘2D Fillet Tool’ which works on all intersecting pairs of Edges, even in 3D.

The 2D Tools can be accessed from the ‘Draw/2D Tools’ sub-menu or, perhaps more readily by the ‘2D Tools’ toolbar, which can be opened from the ‘View/Toolbars’ sub-menu.

[back to Contents…]

2D Z-plane

Many of the 2D Tools are constrained in the XY direction only – i.e. they draw on the Z-plane.
By default this is set to Z=0: however, you can reset if to any other height by using this Tool.

Open the Tool and either type in a new Z-height at the VCB or pick a point in 3D to set the new Z-plane height.

If you type in a Z-plane value at the VCB it is ‘absolute’ by default. It is in ‘current units’.

It is possible to type in units other than those you currently have set – so if you are modelling in ‘meters’ typing 1’0” will set Z=0.3048m.

If you want to set the Z-plane ‘relative’ to the current Z-level then prefix its value with a ‘+’ or ‘--‘ :
Note the use of the double -– to differentiate the ‘relative’ minus from the normal ‘absolute’ –ve Z-values you might type in otherwise.
So if your Z-plane is currently set to 100 then typing 25 gives Z=25, typing in -25 gives Z= -25, BUT typing +25 gives Z=125 and typing --25 gives Z=75.

Subsequently any 2D Tool drawing that relies on the Z-plane will be placed at that Z-height, until it is reset…

The current Z-plane is remembered for the Model across sessions.

The current Z-plane is shown in the VCB messages associated with 2D Tools that use it.

Note that if you are using the 2D Line Tool pressing the <Tab> key will allow you to reset the Z-plane part way through a Line-Set, and then continue using that Tool
- note how ‘<Tab>’ appears next to the ‘Z=123’ in its VCB message as a reminder…

[back to Contents…]

2D Line

Draws 2D Lines constrained to the pre-set Z-plane.

Open the Tool and pick the line’s start-point.

The Tool then continues to draw lines from the last picked point to the next picked-point.

A line length can be typed in the VCB if desired: it will be in the current direction of the cursor, using inference if appropriate.

Note: typing a length in the VCB negates the current cursor’s input-point and therefore any inferences will be lost for the cursor
when you start to make the next line: to re-set inferences re-click on the last made line’s end-point - then the cursor will have its
inferences set from that picked point as usual.

Double-click on the last-point drawn to complete the current line-set and to start a new line-set.

To close the Tool select any other tool or press <Esc> twice or double-click twice.

Pressing <Esc> undoes the last line-set completely.

Pressing 'Ctrl' toggles between Lines and Guidelines [as a reminder the temporary guides are shown dotted].

Pressing 'Alt' toggles between Lines and Polylines as a ‘welded curve’ [as a reminder the temporary guides are shown orange].

Double-click on a Polyline's start-point to close its loop and to start a new line-set...

Complex intersecting line-sets might make fragmented loops or lines.

You cannot have both Guidelines and Polylines 'on' together in the same line-set !

The current line-type setting is remembered during that use of the tool, but reverts to ‘Lines’ when the tool is next opened.

Normal Inference Tips apply.

Note that if press the <Tab> key it will allow you to reset the Z-plane part way through a Line-Set, and then continue using the Tool
- note how ‘<Tab>’ appears next to the ‘Z=123’ in the VCB message as a reminder…

Using 'Undo' immediately after making a set of lines undoes them individually [unless it’s a Polyline]
- do not go back beyond the first line in that set, as temporary construction geometry will start to reappear...

[back to Contents…]

2D Rectangle

Draws a 2D 3-point rectangle constrained to the pre-set Z-plane.

Open the Tool and pick two points to set one side and another to set the other dimension.

Dimensions can be typed in the VCB if desired.

To close the Tool select any other tool or press <Esc> or <Enter> twice.

Pressing <Esc> undoes last rectangle completely.

Pressing 'Ctrl' toggles between Lines and Guidelines [as a reminder the temporary guides are shown dotted].

Pressing 'Alt' toggles between Lines and Polylines as a ‘welded curve’ [as a reminder the temporary guides are shown orange].

You cannot have both Guidelines and Polylines 'on' together !

[back to Contents…]

2D Freehand

Draws a 2D Freehand line-set constrained to the pre-set Z-plane.

Pick a start-point then hold down the left mouse-button to continue drawing the freehand polyline.

Release the mouse-button to complete the line-set.

You can (pre)set the 'segment length' by typing a new size in the VCB – the default is ~1".

Small values give finer paths, large values faceted paths.

Move within the 'segment length' of the first- point & release the mouse button to make a closed loop,
the VCB will tell you if a closed loop is possible.

You can then start a new Freehand line-set.

To close the Tool just select any other tool or press <Esc> twice or press <Enter>.

Pressing <Esc> undoes the current Freehand line-set (if any).

Normal Inference Tips may apply.

[back to Contents…]

2D Arc

Draws a 2D Arc, by various methods - constrained to the pre-set Z-plane.

Typing NNs at any time changes the number of Segments in the Arc - e.g. 36s – default=18.

Typing NNN after the first-point is picked, but before the second-point is picked, sets the Arc’s radius/length.

Typing NNN after the second-point is picked, but before picking the third-point, sets the Arc's swept-angle [in degrees]

- e.g. 22.5. A +ve angle is drawn counter-clockwise and a -ve angle is drawn clockwise.

The swept-angle is dynamically reported in the VCB. The swept-angle is limited to !=0° and <+/-360° for a 3-point Arc.

The swept-angle is limited to !=0° for a Center+2point Arc.

A Guidepoint is added at the Arc’s center.

Pressing 'Ctrl' toggles between a 3point Arc and a Center+2point Arc.

Pressing 'Alt' toggles a Center+2point Arc between having a swept-angle between >0° to <180° and between 180° to 360°.

Normal Inference Tips may apply.

Tip: To make a 3-point Arc Tangential to other Arcs or Edges it is recommended that you use the built-in Arc Tool…

[back to Contents…]

2D Circle

Draws a 2D Circle constrained to the pre-set Z-plane.

Open the tool and pick two or three points depending on the Circle’s type.

Typing NNs at any time changes the number of Segments in the circle - e.g. 36s – default=18.

Pressing 'Ctrl' toggles between a Center+Radius and a 3-Point Circle.

Pressing 'Alt' toggles between a Center+Radius and a 2-Points for Diameter Circle.

You can type NNN as the dimension for Radius/Diameter for those Circle types, after the first-point is picked.

The Circle's segment vertex should be made touching the second-point picked. A Guidepoint is added at the Circle’s center.

Normal Inference Tips apply.

[back to Contents…]

2D Polygon

Draws a 2D Polygon constrained to the pre-set Z-plane.

Open the tool and pick two or three points depending on the Polygon’s type.

Typing NNs at any time changes the number of Sides in the Polygon - e.g. 12s – default=8.

Pressing 'Ctrl' toggles between a Center+Radius and a 3-Point Polygon.

Pressing 'Alt' toggles between a Center+Radius and a 2-Points for Diameter Polygon.

You can type NNN as the dimension for Radius/Diameter for those Polygon types, after the first-point is picked.

Typing NNx for a Center+Radius Polygon sets the length of the Polygon’s Side to NN - e.g. 50x makes a Polygon with Sides 50 current-units long, the radius is then calculated to suit; picking the second-point in this case only serves to align the vertex of the Polygon. Note that the NNx Side setting must be re-entered for each Polygon drawn.

The Polygon's vertex should be made touching [or aligning with] the second-point picked.

A Guidepoint is added at the Polygon’s center. Normal Inference Tips apply.

[back to Contents…]

2D Face Maker

Open the Tool and pick a point inside a 2D loop of Edges.

It makes a new Face using that loop; it is always facing up.

If the Face exists then it will be given the default color and it's flipped upwards if necessary: this is a quick way of removing any materials, or simply reversing upside down faces.

The loop/face is limited to the current Z-plane.

Pick any other tool or press <Enter> to end.

[back to Contents…]

2D Hatching

Open the Tool, when it first runs for that Model you will need to select a Hatching Pattern from a dialog – the default is ‘PATT__SOLID’ [black]. The selected ‘PATTern’ is remembered across sessions for that Model.

The folder ‘Plugins/2Dtools/Hatching’ contains a collection of jpg images that are used as the ‘PATTern’ textures. There are many ‘CAD-like’ ‘PATTerns’ available. You can add your own jpg images to this folder as extra ‘PATTerns’ as desired.

Note that you can edit any ‘PATTern’ that has already been loaded into the Model’s Material Browser – e.g. you could change its size, give it ‘transparency’ or ‘colorize’ it… using this Tool again and choosing that existing ‘PATTern’ will reuse the one already loaded, rather than remaking it from the ‘external image file’.

If you have previously run the tool on a Model then it will open without an initial dialog – the Current ‘PATTern’ will be shown on the VCB line – to change that Hatching ‘PATTern’ just right-click the mouse in empty-space and the dialog should open: then choose a new ‘PATTern’.

To add Hatching pick a Point inside a 2D loop of Edges - a ‘PATTerned’ Face will be made, always facing up.

It will also use an existing Face at the picked-point, flipped upwards if necessary, with the ‘PATTern’ material applied.

The loop/face is limited to the current Z-plane.

To end pick any other tool or press <Enter>.

Note that you can also use any ‘PATTern’ that already been loaded as a Material with the ‘Paint-bucket’ etc to paint any Face in the Model – not just flat 2D Faces…

[back to Contents…]

2D Fillet

This Tool makes a Radiused Fillet or Chamfer between any 2 Edges

Pressing the 'Alt' key toggles between Fillet and Chamfer.

A Guidepoint is added at the Arc’s center.

The Tool extends each picked Edge to suit the Arc / Chamfer, if it is short.

The Tool trims each Edge to the Arc / Chamfer if the Edge has only one or no Faces.

At any time you can type in a new Fillet Radius - e.g. 200 or a new Chamfer - e.g. 100 OR 100:200 for an uneven chamfer.

The 100:200 format trims the first picked Edge by 100 and the second picked Edge by 200.

Note how Chamfer is measured in from intersection of the two lines NOT their ‘ends’.

The Tool acts like CAD’s “Trim/Extend” if the Fillet Radius=0 or the Chamfer=0 [these are the default settings].

You can also change the number of Segments in a radiused fillet by typing NNs in the VCB - e.g. 6s for 6 segments: default=18.

The Fillet Radius / Chamfer settings are remembered across sessions for that Model.

The first starting tooltip is 'Line1' - the Edge picked ('Line1') is then highlighted.

The tooltip changes to 'Line2' when you are over a pickable Edge.

Picking two non-intersecting Edges, or re-picking Line1 as Line2 etc makes a beep and reports an error in Ruby Console.

To end pick any other tool or press <Enter>.

[back to Contents…]

2D Adjust

This Tool Adjusts the length of eligible picked Lines by ‘Trimming’ or ‘Extending’ them to a pre-selected set of ‘Target-Lines’.

Run it from the menu or toolbar.

- You first Select the Target-Lines by picking them individually or by holding down the mouse-button and dragging over several Lines [like using the Eraser Tool].

To Remove a Line from the Target-Lines Selection-set press <Shift> and re-pick Target-Lines to be Removed from the Selection-set [the VCB line prompt also changes from 'Adding' to 'Removing'], to toggle between them press <Shift> again.

Target-Lines forming part of an Arc/Polygon/Curve etc as a Segment are Selected individually. Use ‘dragging’ to Select several Segments of an Arc etc.

Target-Lines CANNOT included Construction-Lines [aka Guide-Lines]. Tip: Draw a small piece of temporary Line over the Cline to give a potential Intersection 'Line'.

It's recommended that you don't have too many Target-Lines in any set - otherwise the resultant Adjustments might be unexpected - especially where Curve/Arc Lines are picked as each Segment becomes a Target-Line: instead Select a modest number, Adjust some Lines, then double-click to Select new Target-Lines as needed etc...

As you Select them the Target-Lines are highlighted 'orange' for clarity. During this stage the cursor is similarly colored.

- When all of the required Target-Lines are Selected press <Enter>, or double-click the mouse-button. The Target-Lines remain highlighted, but their color is changed to be 'cyan' - the cursor color and VCB messages also change to suit.

Now you Pick the Lines you want to 'Adjust'.

Pick each Line nearer the End to be adjusted; that Line will 'Adjust' and it will either Trim or Extend to the nearest Target-Line – if there is any intersection.

To Adjust a Line again up to another Target-Line re-pick the Line.

If a Line Adjusts but thereafter ‘sticks’ at a particular Target-Line then double-click and re-select a new Target-Line set and the Line will Adjust to that…

In a similar way to the initial Target-Lines Selection methods you can also Adjust several Lines at once by holding down the mouse-button and dragging over them. However, note that slowly dragging [or dragging back and forth] might result in a Line first Extending then quickly Trimming back, as it‘s like you have selected it twice in quick succession! It could even lead to a ‘bugsplat’… Use drag-selection carefully or pick lines individually...

You can 'undo' the Adjustment by pressing <Esc>...

The picked Line Adjusts to the Target-Line’s 'projected extension' – i.e. beyond the two Ends of the particular Target-Line if necessary.

Lines without connected geometry at their Adjusted End will have that End Vertex moved to suit [Trim or Extend]: however, Lines with 'Shared Vertices' or Faces are not changed - but a new piece of Line will be added from that End Vertex to the Adjusted location, using the same Vector.

Lines Adjusted to a Selected Target ‘Arc’ will Adjust to an Intersection with the appropriate Arc's Segment – NOT it’s ‘Circumference’.

If you want the 'True Intersections' between an Arc’s Circumference and a Line etc, then it's recommended that you use one of TIG's other Tools - like TrueTangents and TrueIntersections to set up Guide-Points and Draw to these...

- If the Line picked for Adjustment is part of an Arc then the picked portion of the Arc is Trimmed back to suit where possible.
  If that Arc would require Extension and it is tied to other Geometry then there is a beep - the Console suggests you draw a new 3-point Circle through the Arc's Vertices and then Erase unwanted parts... That kind of Arc is not readily Extendable because its Number of Segments or the lengths of its End Segments can be unmatchable to another Arc/Circle that would have to be made to replace it – and therefore it would mess up connected Geometry etc...
  However, 'Lone' Arcs can be Extended to suitable Target-Lines: you must pick the Arc's End Segment that you want to Extend – especially if it is connected at its other End – this is because if the Arc touches or straddles the Target-Line picking the Arc on any Segment other than the unconnected End Segment will result in a Trim of the Arc back to the Target-Line, rather than an Extension of it. Remember that you can undo the last Adjustment.
  Sometimes you might extend an Arc in error - it can then be Trimmed back to the Line by picking it again.
  This 'Lone' Arc Extension redraws the Arc and gives it a Number of Segments equivalent to the original increased pro rata to suit the enlarged swept-angle.
  NOTE: This Lone Arc Extend Mode is in its first beta release and might be prone to error – please save before using and feedback any details that will improve its development…

- If the Line picked for Adjustment is part of a Circle or Polygon then the picked portion will be Trimmed back to the Target-Line - note because they 'Loop' you cannot 'Extend' these.

- If a picked Line is also in the Target-Lines set then it will still be Adjusted to suit, and the highlighted Target-Line set is changed to match. If the Adjustment involves a 'Trim' that removes complete Lines that were previously Target-Lines - e.g. parts of a Polygon are gone or a Line is trimmed back twice until it has a zero length - then those Target-Lines are removed from the Target-Line set. If the Target-Lines set is 'emptied' by this then the Tool is reset: you will be prompted to pick more Target-Lines...
- Any Picked Lines that do not intersect with the Target-Lines set are ignored.
  Occasionally bits of Line might get split at the Target-Line but refuse to be Erased by further Trimming - however, they can still be Erased with the normal Eraser Tool later...

- To end the current Adjustment session press <Enter> or double-click the mouse-button - you can then start another Target-Lines set.

To exit the Tool completely either press <Enter> or double-click the mouse-button twice/three times depending on the stage you are at, or just select any other Tool.

[back to Contents…]

2D Line Style

The Model’s Line Style is initially set to 1.0+Continuous+Black - to change it right-click in empty space and a dialog will open - it asks for new settings.

The Line-Style settings are:

Width: Depending on the Model’s Units [Imperial or Metric] then the available widths are:

0.05, 0.1, 0.2, 0.25, 0.5, 0.75, 1.0, 1.5, 2.0, 3.0, 4.0, 5.0, 6.0, 8.0, 9.0, 10, 12, 18, 20, 24, 25, 36, 48, 50, 60, 72, 75, 84, 96, 100, 108, 120, 132, 144 [in inches]: default= 1.0

or

1, 2, 4, 5, 8, 10, 20, 25, 30, 40, 50, 60, 70, 75, 80, 90, 100, 125, 150, 175, 200, 250, 300, 400, 450, 500, 600, 700, 750, 800, 900, 1000, 1200, 1500, 1800, 2100, 2400, 2700, 3000, 3300, 3600 [in mm]: default= 25

Style: Continuous_____, Dot. . . . . . ., Dashed- - - - -, Hidden-- -- -- --, DashDot- . - . - . -, Center-- - -- - --, Phantom--- -- --- and Divide-- .. -- .. --: default= Continuous_____

At the end of the Standard Styles there is also '< Custom Style >' – choosing this opens another dialog in which you can enter your own Custom Style’s Name and its Pattern.

Its Name cannot be blank or '< Custom Style >' or contain a '~' or a ‘|’. The Pattern must be made of dots and spaces (. ), and start with a dot, and end with a space.

Any Custom Styles in the Model are shown at the end of the List of Styles, they are sorted in alphanumeric order and shown in the format:-

'MyStyle~.... .... ' - with a '~' between the Name and the Pattern.

You can make any number of Custom Styles, these are remembered with the Model. Choosing < Custom Style > and entering an existing Name will overwrite that Pattern [any Lines that were Styled with the earlier Pattern are not affected by this]: entering "" [nothing] as the Style's Pattern will remove that Custom Style from the List.

Color: Black, Red, Green, Blue, etc = you have available all of the Model’s loaded Materials + all of the ‘Standard Colors’: default= ‘Black’

Tip: the standard input dialog has limited capabilities – so to access the Color names that are ‘off the screen’ you need to type a Color's first letter,
and then use the up/down arrow-keys to scroll to it – e.g. press the ‘R’ key then use the arrow keys to scroll to ‘Red’...

These three settings are remembered in that Model, across sessions.

The current settings are shown on the VCB line when the Tool is active.

If you want to change the settings at any time simply open the settings dialog by right-clicking the mouse in an empty-space...

When the tool is running pick an Edge and it will be replaced with the desired Line-Style - i.e. Width + Style + Color...

You can also pick multiple Edges by holding down the mouse-button and dragging over several together.

If that picked Edge is part of an Arc/Polyline/welded-curve then all connected Edges are Styled to match.

If a Style’s ‘dot’ pattern won't fit in the Edge’s length then a ‘solid line’ is substituted.

The Styled-Line is place a little (0.4mm) above the original Edge so that there is no ‘z-fighting’ between its Faces and the Edge’s Face.

If you want to relocate a Styled-Line then use the Move Tool: to Move a ‘centred’ line onto an Edge Move it by half its width
– e.g. move it constrained to an axis and if it’s 2 wide type 1”

The Styled-Lines’ Edges are ‘Hidden’ – they will be visible if View > Hidden Geometry is switched ‘on’.

The original Edge is put onto a hidden Layer '~2D-LINE-HIDN'.

The 'Styled-Line'[Group] is put onto a visible Layer '~2D-LINE-STYL'.

These Layers can be switched on and off as desired...

The ‘Styled-Line’ Group is put into the same Entities as the Edge – e.g. the Model or perhaps a Group/Component.

The Edge and 'Styled-Line' Group will need to be erased separately if desired...

To End the Tool press <Enter> or double-click the mouse in empty-space.

Note: the latest version of the ‘Line Style’ Tool now works on 3D Edges.
If the picked Edge has no Faces or it has two Faces that are co-normal [i.e. they are on the same plane] then the Styled-Line is centred on that Edge.
If the Edge has just one Face or its Faces are not co-normal [e.g. a cube’s edge and its two faces] then the Styled-Line is placed within the Edges on the Face itself, with that Edge forming the outer side of the Styled-Line. When an Edge has a Face the normal of the Styled-Line will match the Face. If the Edge has two Faces then the normal of the Face that is nearest to the Camera’s view-line will be used – so you should Orbit so that you are looking more squarely at the Face that you want to orient to.
If you want to force the Styled-Lines onto a particular Face, then before running this Tool use ‘Select’ and double-click the Face so its Edges are also highlighted and then make a temporary Group of them. Edit the Group and use the Line-Style Tool on the required Edges. Explode the Group on completion. Grouping the individual Faces/Edges of a cube etc will allow you to edit each Group and apply Styled-Lines to Face’s Edges in turn… Explode these Groups on completion as desired. If a 3D Edge does not have a Face then the Tool will orient the Styled-Line facing up, if it is vertical then the Styled-Line will orient to the ’Front’ [i.e. the negative Y-Axis]. If that it isn’t what you wanted you can Rotate the Styled-Lines to suit later… or perhaps more easily you could temporarily make a Face for the Edges before Styling them so the Styled-Lines take that Face’s plane for their orientation.

Later, if you Select a 'Styled-Line' Group you will get a context-menu item named 'Edit 2D Styled Line' - in the dialog that opens, you can enter any new settings as desired... If multiple instances are Selected before opening the dialog then they will all get these new settings.***

Note: since a Styled-Line might have been adjusted in its location to suit its original Edge/Face – e.g. realigned with its side on the Edge if it’s on a Face - and that that Edge/Face might no longer exist - then changing a Styled-Line’s Width might result in a seemingly anomalous placement. If it was originally ‘centred’ on a lone or co-normal faced Edge it should change acceptably. Changes to a Styled-Line’s Color or Style should not cause any problems. A changed Styled-Line can always be manually Moved to suit it’s new Width, BUT if a large number of Styled-Lines with Width changes are envisaged, then it might well be easier/quicker to Erase those Styled-Lines, switch-on the ‘~2D-LINE-HIDN' Layer temporarily and change the relevant Edges to be on say ‘Layer0’ so they are visible [or remake missing Edges with the Line Tools etc] and then use the ‘Line Style’ Tool on those Edges to make fresh Styled-Lines…

Tip: ***During Editing keep the Outliner window 'rolled up' to avoid slowness in responses – it might also avoid those rare ‘Bugsplats’.

[back to Contents…]

2D Text

Open the Tool and a dialog asks you to ‘Enter Text’ and ‘Edit Settings’ [default=Yes].

Enter the text you require in the first field, and answer Yes/No for ‘edit settings’, then OK…

If you choose to ‘edit settings’ you get a second dialog with these options:

Height: The ‘size’ of the text in current units: default=4” or 100mm etc depending on the Model’s settings.

Alignment: Left/Center/Right: default=Center; this setting only becomes apparent on multi-line text*.

Font: The Fonts available are listed in the file '2DtextTool_Fonts.txt', which can be found in the Plugins/2Dtools folder.
By default it contains most Fonts used by XP, Vista and Mac. You can edit the file to remove or add Fonts [one per line] to suit your OS or your own Font preferences...

Bold: Yes/No: default=No.

Italic: Yes/No : default=No.

Filled: Yes/Yes+Edges/No: default=Yes, which adds Faces to the text and Hides all Edges, Yes+Edges also shows the Edges and No makes only Edges and no Faces.

Color: The Text’s Face Color: Black, Red, Green, Blue, etc = you have all available Model Materials + ‘All Standard Colors’: default= ‘Black’.

Snap: Z-plane/Any-Face: default=’Z-plane’ - it snaps to the Z-plane – note how snapping to something that’s off the Z-plane in 3D will set its XY location, but it will still be placed on the Z-plane. The alternative is ‘Any-Face’ - if the picked point is on any Face the 2D Text will snap on it, at that 3D-point.
The initial default snap is ‘Z-plane’ but the current snap-mode is saved with the Model across sessions.

All dialog settings are remembered in the Model, across sessions.

Tip 1: the standard input dialog has limited capabilities – so to access the Color names etc that are ‘off the screen’ you need to type that Color's first letter,
and then use the up/down arrow-keys to scroll to it – e.g. press the ‘R’ key then use the arrow keys to scroll to ‘Red’...

Tip 2: the 2D Text has no ‘thickness’: but you can easily make extruded 3D shapes from it - first make the 2D Text with Filled=Yes+Edges [or =Filled of smooth shapes], then Edit the 2D Text by double-clicking on it, finally use PushPull on a Face to give it an extrusion – the dimension entered or picked is remembered and double-clicking on subsequent Faces will extrude them to match. Note that any ‘extrusion’ will be lost if ‘2D Text Edit’ is used on that Object later.

*To make multi-line text you must add a line-break ['\n'] into the text, e.g. "My Text" is on one line, whereas "My\nText" is made on two lines.

Press OK to create the piece of ‘2D Text’. It is shown attached to the cursor. You can then pick its insertion point.
Note that if the snap-mode is set to ‘Z-plane’ then snapping to something that’s off the Z-plane in 3D will set its XY location, but it will still be placed on the Z-plane: if the snap is ‘All-Faces’ then the 2D Text will snap onto that 3D-point.

Press Cancel to exit without saving changes to the settings.

Press <Esc> to abort placing the piece of 2D Text on your cursor.

Undo will undo the last placed 2D Text Object.

The ‘2D Text’ is created as a Component which can be copied as desired [or inserted from the Component-Browser].

It’s named ‘~2DText#1’ etc [incrementing], if the snap-mode is ‘All-Faces’ then it name format becomes ‘~2DText[3D]#1’ etc.
Note that subsequently editing one Instance of will affect any other Instances of that Component – unless you use the built-in ‘make_unique’ on it first.

After the 2D Text is placed the Tool exits - run the Tool again to make more 2D Text…

Later on: if you use the Select Tool to highlight a piece of ‘2D Text’ you will get a right-click context-menu item 'Edit 2D Text'.
Pick on that and in the consequent dialog type new ‘text’ or edit the other settings [except the ‘snap’] as desired...

Note: keep the Outliner and Component-Browser windows 'rolled up' when using this Tool to avoid slowness in responses – it might also avoid rare ‘Bugsplats’.

[back to Contents…]

2D Polyline Edit

Open the Tool and Pick an Arc, Polyline or welded-curve.

It is then overlaid with an orange ghost-polyline and vertex-markers.

To move a vertex pick a vertex-marker on the original Polyline [shown black, it temporarily goes green],
then pick its new location [dynamic dotted lines show the changes].

The Tool moves and the orange ghost-polyline and vertex-markers adjusted to suit.

The original Polyline remains unchanged at this stage.

To make the changes to the original Polyline press <Enter>.

The original Polyline vertices are then adjusted to match.

Any Faces belonging to the Polyline’s Edges are also kept and/or adjusted to suit.

The Tool remains active: press <Esc> to exit without the changes being saved.

[back to Contents…]

2D Tools Help

Opens this .htm ‘Help’ file…

This file ‘2DtoolsHelp.htm’ can be copied and translated into other locale languages.

The copy should be named with the appropriate locale code suffix so it is loaded in preference to the original.

There is already a Spanish version ‘2DtoolsHelpES.htm’ included in the ‘2Dtools’ folder.

Using the same format a new French language file would be named ‘2DtoolsHelpFR.htm’.

The .htm code can be edited just like a .doc file with many tools - including ‘Word’ – the image files etc should need no editing.

Use such tools to translate the Help file into your language…

Translations of the tool’s text - with v4 there are also related ‘lingvo’ files in the ‘2Dtools’ folder – v4 comes with 2DtoolsEN-US.lingvo [English] and 2DtoolsES.lingvo [Spanish] .

These are used by ‘deBableizer’ to translate the text within the tools and menus.

There are the default English versions called ‘2DtoolsEN-US.lingvo’, and the Spanish version ‘2DtoolsES.lingvo’ already included in the ‘2Dtools’ folder.

The file ‘2DtoolsEN-US.lingvo’ can be copied and translated into other locale languages: with the copy’s name suffixed with the appropriate locale code so it is loaded rather than the default.

For example to make a French language version copy ‘2DtoolsEN-US.lingvo’ as ‘2DtoolsFR.lingvo’.

Then in each line translate the first field and replace the second field with that [<==> is the separator]

For example:

Yes<==>Yes

becomes

Yes<==>Oui

in the FR version…

If the tools find a locale version of a lingvo file it will be used – otherwise the language will be EN-US.

If a string is translated in the lingvo file it will be used - otherwise the string will remain in EN-US.

See the contents of the lingvo files for examples…

[back to Contents…]

Conclusion

[back to Contents…]

The 2D Tools are © TIG 2009.

Permission to use, copy, modify, and distribute this software for any purpose, without fee*, is hereby granted, provided that the above copyright notice appears in all copies.

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE.

*These tools are offered ‘free’
however, if you would like to make a donation,
especially if you use them commercially or
perhaps just in recognition of their usefulness,
and/or for TIG’s many other tools that you might be using,
then it wouldn’t be refused - the amount is up to you…

To make a Donation please use this PayPal link …

[back to Contents…]